# phpMyAdmin SQL Dump
# version 2.5.3
# http://www.phpmyadmin.net
#
# Serveur: localhost
# Gnr le : Dimanche 04 Septembre 2005  19:36
# Version du serveur: 4.0.20
# Version de PHP: 4.3.8
# 
# Base de donnes: `incidents`
# 

# --------------------------------------------------------

#
# Structure de la table `bugs`
#

DROP TABLE IF EXISTS `bugs`;
CREATE TABLE `bugs` (
  `id` int(11) NOT NULL auto_increment,
  `projetid` int(11) NOT NULL default '0',
  `description` varchar(255) NOT NULL default '',
  `etat` enum('Nouveau','Ouvert','Assigne','Ferme') NOT NULL default 'Nouveau',
  `severite` enum('Mineure','Majeure') NOT NULL default 'Mineure',
  `assign` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `projetid` (`projetid`)
) TYPE=MyISAM AUTO_INCREMENT=7 ;

#
# Contenu de la table `bugs`
#

INSERT INTO `bugs` (`id`, `projetid`, `description`, `etat`, `severite`, `assign`) VALUES (1, 1, '', 'Ouvert', 'Majeure', 0);
INSERT INTO `bugs` (`id`, `projetid`, `description`, `etat`, `severite`, `assign`) VALUES (2, 1, '', 'Nouveau', 'Mineure', 0);
INSERT INTO `bugs` (`id`, `projetid`, `description`, `etat`, `severite`, `assign`) VALUES (3, 1, '', 'Assigne', 'Majeure', 1);
INSERT INTO `bugs` (`id`, `projetid`, `description`, `etat`, `severite`, `assign`) VALUES (4, 4, '', 'Ouvert', 'Majeure', 0);
INSERT INTO `bugs` (`id`, `projetid`, `description`, `etat`, `severite`, `assign`) VALUES (5, 4, '', 'Assigne', 'Mineure', 2);
INSERT INTO `bugs` (`id`, `projetid`, `description`, `etat`, `severite`, `assign`) VALUES (6, 2, 'affichage', 'Nouveau', 'Mineure', 0);

# --------------------------------------------------------

#
# Structure de la table `projets`
#

DROP TABLE IF EXISTS `projets`;
CREATE TABLE `projets` (
  `projetid` int(11) NOT NULL auto_increment,
  `nom` varchar(255) NOT NULL default '',
  `etat` enum('actif','inactif') NOT NULL default 'actif',
  PRIMARY KEY  (`projetid`)
) TYPE=MyISAM AUTO_INCREMENT=7 ;

#
# Contenu de la table `projets`
#

INSERT INTO `projets` (`projetid`, `nom`, `etat`) VALUES (1, 'Animation lumineuse (DJ Lyre)', 'actif');
INSERT INTO `projets` (`projetid`, `nom`, `etat`) VALUES (2, 'Station mto', 'actif');
INSERT INTO `projets` (`projetid`, `nom`, `etat`) VALUES (3, 'Robot Mobile', 'inactif');
INSERT INTO `projets` (`projetid`, `nom`, `etat`) VALUES (4, 'Morpion', 'actif');
INSERT INTO `projets` (`projetid`, `nom`, `etat`) VALUES (5, 'Panneaux Lumineux', 'actif');
INSERT INTO `projets` (`projetid`, `nom`, `etat`) VALUES (6, 'Archivage CD', 'actif');
