<?php

class Revue
{
	var $_id;
	var $_nom;
	
	function Revue($infoRevue)
	{
		if(is_array($infoRevue))
		{
			$this->_id = $infoRevue['revueid'];
			$this->_nom = $infoRevue['nom'];
		}
		elseif(is_object($infoRevue))
		{
			$this->_id = $infoRevue->revueid;
			$this->_nom = $infoRevue->nom;
		}
		else 
		{
			$this->_id = 0;
			$this->_nom = "";
		}
	}
	
	function getId()
	{
		return $this->_id;
	}
	
	function getNom()
	{
		return $this->_nom;
	}
	
	function setId($revueId)
	{
		$this->_id = $revueId;
	}
	
	function setNom($nomRevue)
	{
		$this->_nom = $nomRevue;
	}
}

class GestionRevues
{
	var $idDB;
	var $table;
	var $listeRevues;
	
	function GestionRevues()
	{
		global $config;
		
		$db = new DataBase();
		$this->idDB = $db->Connecter($config['database']);
		$this->table = $config['table'];
		$this->listeRevues = array();
	}

	function Ajouter($nomRevue)
	{
		$retour = false;

		if(!$this->idDB)
		{
			$retour = "La base de donnes n'est actuellement pas disponible !";
			return $retour;
		}
		if(IsSet($nomRevue) && !Empty($nomRevue))
		{
			$insert = "INSERT INTO $this->table VALUES('', '$nomRevue')";
			$result = mysql_query($insert);
			if($result)
				$retour = false;
			else 
			{
				$retour = "Erreur mysql_query(\"$insert\") n".mysql_errno()." : ".mysql_error();
			}
		}
		return $retour;
	}

	function Supprimer($revueId)
	{
		$retour = false;

		if(!$this->idDB)
		{
			$retour = "La base de donnes n'est actuellement pas disponible !";
			return $retour;
		}
		if(IsSet($revueId) && !Empty($revueId))
		{
			$delete = "DELETE FROM $this->table WHERE revueid='$revueId'";
			$result = mysql_query($delete);
			if($result)
				$retour = false;
			else 
			{		
				$retour = "Erreur mysql_query(\"$delete\") n".mysql_errno()." : ".mysql_error();
			}
		}
		return $retour;
	}

	function Modifier($revueId, $nomRevue)
	{
		$retour = false;
	
		if(!$this->idDB)
		{
			$retour = "La base de donnes n'est actuellement pas disponible !";
			return $retour;
		}
		if((IsSet($revueId) && !Empty($revueId)) && (IsSet($nomRevue) && !Empty($nomRevue)))
		{
			$update = "UPDATE $this->table SET nom='$nomRevue' WHERE revueid='$revueId'";
			$result = mysql_query($update);
			if($result)
				$retour = false;
			else 
			{	
				$retour = "Erreur mysql_query(\"$update\") n".mysql_errno()." : ".mysql_error();
			}
		}
		return $retour;
	}

	function Lister()
	{
		$retour = false;

		if(!$this->idDB)
		{
			$retour = "La base de donnes n'est actuellement pas disponible !";
			return $retour;
		}
		$select = "SELECT * FROM $this->table";
		$result = mysql_query($select);
		if($result)
		{
			$nbRevues = 0;
			while($objetRevue = mysql_fetch_object($result))
			{
				$revue = new Revue($objetRevue);
				$this->listeRevues[$nbRevues++] = $revue;
			}
			$retour = true;
		}
		else 
		{
			//$retour = "Erreur mysql_query(\"$select\") n".mysql_errno()." : ".mysql_error();
			$retour = -(mysql_errno());
		}
		if(!$retour)
				return $retour;
		else	return $this->listeRevues;
	}
}

class MenuPrincipal
{
	var $gestionRevues;
	var $_erreur;
	
	function MenuPrincipal()
	{
		$this->gestionRevues = new GestionRevues();
		$this->_erreur = false;
	}
	
	function afficherMenu()
	{
		if(!$this->_erreur)
		{
			$this->_afficherRevues();
			$this->_afficherFormulaire();
		}
	}
	
	function gererOperation($op)
	{
		global $revueid, $nom; // maintenant utiliser plutt directement : $_POST['revueid'] ou $_GET['revueid'] (sans le global)
		
		switch($op)
		{	
			case "Modifier":
			case "modify":		$this->_modifierRevue($revueid, $nom); break;
			case "Supprimer":
			case "delete":		$this->_supprimerRevue($revueid); break;
			case "Ajouter":
			case "add":			$this->_ajouterRevue($nom); break;
			default: 			break;
		}
	}
	
	function _afficherRevues()
	{
		global $PHP_SELF; // maintenant utiliser plutt directement : $_SERVER['PHP_SELF'] (sans le global)
		
		$listeRevues = $this->gestionRevues->Lister();
		echo "<TABLE BORDER=0 bgcolor=#FFFFFF CELLPADDING=1 CELLSPACING=0 ALIGN=CENTER VALIGN=TOP WIDTH=70%>";
		echo "<TR><TD>";
		echo "<TABLE BORDER=0 CELLPADDING=5 CELLSPACING=1 WIDTH=100%>";
		if($listeRevues)
		{
			$nbRevues = sizeof($listeRevues);
			echo "<tr><td colspan=3 bgcolor=#666699><font color=white><b>Liste des revues disponibles</b></font><br></td></tr>\n";
			for($numRevues=0;$numRevues<$nbRevues;$numRevues++)
			{
				echo "<tr>";
				echo "<td width=10% bgcolor=#E2E8F7>".$listeRevues[$numRevues]->getId()."</td>";
				echo "<td width=40% bgcolor=#E2E8F7>".$listeRevues[$numRevues]->getNom()."</td>";
				echo "<td width=50% bgcolor=#E2E8F7><a href=\"".basename($PHP_SELF)."?op=delete&revueid=".$listeRevues[$numRevues]->getId()."\">Supprimer</a></td>";
				echo "</tr>";
			}
		}
		else 
		{
			echo "<tr><td colspan=3 bgcolor=#666699><font color=white><b>Aucune revue disponible</b></font><br></td></tr>\n";
		}
		echo "</table>";
		echo "</td></tr></table>";
	}
	
	function _afficherFormulaire()
	{
		global $PHP_SELF; // maintenant utiliser plutt directement : $_SERVER['PHP_SELF'] (sans le global)
	
		echo "<br />";
		echo "<TABLE BORDER=0 bgcolor=#FFFFFF CELLPADDING=1 CELLSPACING=0 ALIGN=CENTER VALIGN=TOP WIDTH=70%>";
		echo "<TR><TD>";
		echo "<TABLE BORDER=0 CELLPADDING=5 CELLSPACING=1 WIDTH=100%>";
		echo "<tr><td bgcolor=#666699><font color=white><b>Menu</b></font><br></td></tr>\n";
		echo "<form action=".basename($PHP_SELF)." method=post>";
		echo "<tr><td bgcolor=#C7D3EF>Id : <input type=text name=revueid></td></tr>";
		echo "<tr><td bgcolor=#C7D3EF>Nom de la revue : <input type=text name=nom></td></tr>";
		echo "<tr><td bgcolor=#C7D3EF><input type=submit name=op value=Ajouter>&nbsp;<input type=submit name=op value=Modifier>&nbsp;<input type=submit name=op value=Supprimer>&nbsp;</td></tr>";
		echo "</form>";
		echo "</table>";
		echo "</td></tr></table>";
	}
	
	function _ajouterRevue($nomRevue)
	{
		$erreur = $this->gestionRevues->Ajouter($nomRevue);
		if($erreur)
		{
			$this->_afficherErreur($erreur);
			$this->_erreur = TRUE;
		}
		else $this->_erreur = FALSE;
	}
	
	function _supprimerRevue($revueId)
	{
		$erreur = $this->gestionRevues->Supprimer($revueId);
		if($erreur)
		{
			$this->_afficherErreur($erreur);
			$this->_erreur = TRUE;
		}
		else $this->_erreur = FALSE;
	}
	
	function _modifierRevue($revueId, $nomRevue)
	{
		$erreur = $this->gestionRevues->Modifier($revueId, $nomRevue);
		if($erreur)
		{
			$this->_afficherErreur($erreur);
			$this->_erreur = TRUE;
		}
		else $this->_erreur = FALSE;
	}
	
	function _afficherErreur($erreur)
	{
		echo "<TABLE BORDER=0 bgcolor=#FFFFFF CELLPADDING=1 CELLSPACING=0 ALIGN=CENTER VALIGN=TOP WIDTH=70%>";
		echo "<TR><TD>";
		echo "<TABLE BORDER=0 CELLPADDING=5 CELLSPACING=1 WIDTH=100%>";
		echo "<tr><td bgcolor=#996666><font color=white><b>Message d'erreur</b></font><br></td></tr>\n";
		echo "<tr>";
		echo "<td bgcolor=#F7E8E2>$erreur</td>";
		echo "</tr>";
		echo "</table>";
		echo "</td></tr></table>";
		$this->_erreur = FALSE;
	}
}

?>