<?php
/* TP PHP : Gestion de fichiers */
/* BTS IRIS La Salle Avignon (tv) */
define(DEBUG, true);

function Trier(&$t)
{   
    $i= 0;
    $non_trie = true;
    $NB_MAX_MESURES = count($t);

    while( ($i< $NB_MAX_MESURES) && $non_trie)
    {
        $non_trie = false;
        $fin = $NB_MAX_MESURES - 1 -$i;
        for($j=0;$j<$fin;$j++)
        if($t[$j] > $t[$j+1])
            {
            $tmp = $t[$j];
            $t[$j] = $t[$j+1];
            $t[$j+1] = $tmp;
            $non_trie = true;
            }
        $i++;
    }
}

function CalculerMediane($t)
{
    $NB_MAX_MESURES = count($t);
    $n = $NB_MAX_MESURES;

    //il faut un tableau de mesures tri
    Trier($t);
    if(DEBUG)
            echo "<pre>"; print_r($t); echo "</pre>";
    if($n%2)
    {
        /* n est impair */
        $mediane = $t[(($NB_MAX_MESURES+1)/2)-1];
    }
    else
    {
        /* n est pair */
        $mediane = ($t[($NB_MAX_MESURES/2)-1] + $t[(($NB_MAX_MESURES/2)+1)-1])/2;
    }
    return $mediane;
}

function Afficher($t)
{
    $NB_MAX_MESURES = count($t);
    for($i=0;$i<$NB_MAX_MESURES;$i++)
    {
        printf("Mesure n%02d : %02.2f<br />\n", $i, $t[$i]);
    }
    printf("\n<br />");
}

/* main */
$fichierDeMesures = $_GET["mesure"];
if(!Empty($fichierDeMesures) && IsSet($fichierDeMesures))
{
    if(@file_exists($fichierDeMesures)) 
    {
        $mesures = @file($fichierDeMesures);
        if(DEBUG)
            echo "<pre>"; print_r($mesures); echo "</pre>";

        if(!Empty($mesures) && IsSet($mesures))
        {
            $mediane = CalculerMediane($mesures);
            printf("Mediane : %02.2f\n<br />", $mediane);
    
            if($handle = @fopen("./fichiers_mediane/mediane_".$fichierDeMesures, "w"))
            {
                if(!@fwrite($handle, $mediane))
                    echo "<br />Erreur : Ecriture dans le fichier mediane_".$fichierDeMesures." impossible !<br />";
                @fclose($handle);
            }
            else echo "<br />Erreur : Cration du fichier mediane_".$fichierDeMesures." impossible !<br />";
        }
        else echo "<br />Erreur : Lecture des mesures impossible !<br />";
    }
    else echo "<br />Erreur : Fichier de mesures introuvable !<br />";
}
else echo "<br />Erreur : Fichier de mesures absent !<br />";
?>

