<?php

/**
 * La classe Revue
 *
 * @author    tv
 * @copyright none
 */
class Revue 
{
    // Attributes
   /**
    *    l'identifiant d'une revue
    *    @access private
    */
    var $_id;

   /**
    *    le nom d'une revue
    *    @access private
    */
    var $_nom;

    // Operations
   /**
    *    Retourne l'identifiant de la revue
    *    
    *    @access public 
    *    @return int
    */
    function getRevueid (  )
    {
    	return $this->_id;
    }

   /**
    *    Retourne le nom de la revue
    *    
    *    @access public 
    *    @return string
    */
    function getNom (  )
    {
    	return $this->_nom;
    }

   /**
    *    Fixe un identifiant de revue
    *    
    *    @access public 
    *    @param int $revueId l'identifiant de la revue
    */
    function setRevueid ( $revueId )
    {
    	$this->_id = $revueId;
    }

   /**
    *    fixe un nom de revue
    *    
    *    @access public 
    *    @param string $nomRevue le nom de la revue
    */
    function setNom ( $nomRevue )
    {
    	$this->_nom = $nomRevue;
    }

   /**
    *    constructeur de la classe Revue
    *    
    *    @access public 
    *    @param object $infoRevue un objet Revue (ou un tableau)
    */
    function Revue ( $infoRevue )
    {
    	if(is_array($infoRevue))
		{
			$this->_id = $infoRevue['revueid'];
			$this->_nom = $infoRevue['nom'];
		}
		elseif(is_object($infoRevue))
		{
			$this->_id = $infoRevue->revueid;
			$this->_nom = $infoRevue->nom;
		}
		else 
		{
			$this->_id = 0;
			$this->_nom = "";
		}
    }
}

?>
